BDU:2021-05110: Уязвимость программного обеспечения для доступа к VPN-сервису vpn-user-portal, существующая из-за недостаточной проверки входных данных, позволяющая нарушителю повысить свои привилегии

Описание уязвимости Уязвимость программного обеспечения для доступа к VPN-сервису vpn-user-portal существует из-за недостаточной проверки входных данных. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, повысить свои привилегии
Вендор eduvpn
Наименование ПО vpn-user-portal
Версия ПО
  • до 2.3.14
Тип ПО Сетевое средство, Сетевое программное средство
Операционные системы и аппаратные платформы
  • Сообщество свободного программного обеспечения Debian GNU/Linux 10.0
  • Fedora Project Fedora -
  • Сообщество свободного программного обеспечения Debian GNU/Linux 11.0
Тип ошибки Недостаточная проверка вводимых данных
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 24.09.2021
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)
Возможные меры по устранению уязвимости
Использование рекомендаций:
https://github.com/eduvpn/vpn-user-portal/releases
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения